Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236033 - anaconda cannot install debuginfo packages
Summary: anaconda cannot install debuginfo packages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: James Antill
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-11 16:22 UTC by Bob Gautier
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0644
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 17:21:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0644 normal SHIPPED_LIVE anaconda bug fix and enhancement update 2007-10-30 22:56:59 UTC

Description Bob Gautier 2007-04-11 16:22:27 UTC
Description of problem:

We want to use kdump (from kexec-tools) and so we want to install the kernel
debuginfo packages when we kickstart machines.  We've added the RPMs to our
install repo, run createrepo, and added the debuginfo package names to our
kickstart file.

But anaconda always tells us that we have specified a package that does not exist.

If we cheat by putting the debuginfo packages in some suitable group, then we
get no error, and the debuginfo packages are silently omitted.

Version-Release number of selected component (if applicable):

anaconda 11.1.2.36

How reproducible:

Always

Steps to Reproduce:
1. Create a custom repo containing a debuginfo RPM
2. Create a kickstart file that calls for that debuginfo RPM
3. Try to build a machine using that kickstart file and repo
  
Actual results:

Anaconda does not install the package.

Expected results:

The debuginfo package should be installed.

Additional info:

In the anaconda 11.1.2.36 source I notice that yuminstall.py has a suspicious line:

        self.conf.exclude=["*debuginfo*"]

Comment 1 Jeremy Katz 2007-04-18 15:04:12 UTC
Indeed.  Fixed on HEAD (yuminstall.py 1.273->1.274) and should be doable for 5.1

Comment 2 RHEL Product and Program Management 2007-04-18 15:24:37 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 James Laska 2007-09-21 19:35:59 UTC
# grep debug /root/anaconda-ks.cfg 
repo --name=test 
--baseurl=http://porkchop.redhat.com/rel-eng/RHEL5.1-Server-20070920.1/5/ppc/debug

# rpm -q kernel-debuginfo
kernel-debuginfo-2.6.18-48.el5


Comment 8 errata-xmlrpc 2007-11-07 17:21:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0644.html



Note You need to log in before you can comment on or make changes to this bug.